Support » Plugin: Events Manager » PHP 7 compatibility

  • Resolved tamarakorr

    (@tamarakorr)


    We need to upgrade our web server to PHP 7. Events Manager is causing this warning in the process:

    FILE: /plugins/events-manager/admin/em-ms-options.php
    ------------------------------------------------------------------------------------------------------------------------------------------------------------
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ------------------------------------------------------------------------------------------------------------------------------------------------------------
     1 | WARNING | File has mixed line endings; this may cause incorrect results
    ------------------------------------------------------------------------------------------------------------------------------------------------------------

    Could you advise? Thanks

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support angelo_nwl

    (@angelo_nwl)

    can I know what is your current EM version ?

    thanks

    It is 5.7.3.

    Plugin Support caimin_nwl

    (@caimin_nwl)

    I’ve passed this on to the Dev team for testing. Meantime, this won’t affect how your site because it’s only a warning.

    This will be fixed in the next update, but it shouldn’t have any effect on the functionality of the plugin. Many are using PHP 7 (including myself) without issue, you can go ahead and upgrade.

    Hey,

    I’m running this website (ngm1780.nl) with WP4.8.1, theme Choices by Kriesi under PHP 5.6.31.
    Using my test website I’ve tried to run it under PHP7, as the PHP Compatibility Checker tells me there are no errors. Indeed there is the warning as discussed here above. The website seemed to run OK, but that was misleading:
    When I jump to an event-page, a blank page turns up.
    When in the admin, Events shows the normal header up to and including the heading of the list itself, but no listing of events. The number of Future Events (9), just like All Events (40) is correctly displayed.
    Somehow the list of events fails to display, like the CONTENT in the events page.
    I’m puzzled where I should look for a clue to solve this problem.

    Christiaan

    I’ve now made a small test: I also added a Portfolio item.
    In the Dashboard, it turns up as required on the page
    https://mywebsite.nl/wp-admin/edit.php?post_type=portfolio

    But when I find the Events on page
    https://mywebsite.nl/wp-admin/edit.php?post_type=event, the list is empty, although it shows:
    All (42) | Published (41) Search Events:
    <Select bulk action Filter by date> future events 9 items

    there is a full list under PHP 5.6.31, but there is an empty list under PHP7.1.

    Somehow, line 362 of \wp-admin\edit.php (<?php $wp_list_table->display(); ?>) does not show the list.

    Where could the glitch be?

    Thanks for helping out.

    Christiaan

    Just found the article “Plugin Event Manager 5.6.6.1 did not run with PHP 7.1” in https://wordpress.org/support/topic/plugin-event-manager-5-6-6-1-did-not-run-with-php-7-1/.

    I tried and indeed, my problem seem solved under php 7.0.24 and occurs “only” under 7.1.10.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘PHP 7 compatibility’ is closed to new replies.